Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp
Class XmppMultiUserChatConversation

    java.lang.Object
      org.mule.transport.xmpp.AbstractXmppConversation
          org.mule.transport.xmpp.XmppMultiUserChatConversation

All Implemented Interfaces:
  XmppConversation

    public class XmppMultiUserChatConversation

extends AbstractXmppConversation

Field Summary

Fields inherited from class org.mule.transport.xmpp.AbstractXmppConversation
`connection, logger, packetCollector, recipient`

Constructor Summary
`XmppMultiUserChatConversation(ImmutableEndpoint endpoint)`

Method Summary
`protected org.jivesoftware.smack.PacketCollector` | `createPacketCollector()` This implementation returns `null` as we override `receive()` and `receive(long)`.
`protected void` | `createRoom()`
`void` | `dispatch(org.jivesoftware.smack.packet.Message message)` Asynchronously dispatch `message` via the Jabber conversation.
`protected void` | `doConnect()` Subclasses can override this method to create their conversation specific connection.
`protected void` | `doDisconnect()` Subclasses can override this method to perform custom disconnect actions.
`protected void` | `joinChat()`
`org.jivesoftware.smack.packet.Message` | `receive()` Wait for a response on this conversation until a message arrives.
`org.jivesoftware.smack.packet.Message` | `receive(long timeout)` Wait for a response on this conversation until `timeout` occurs.
`protected boolean` | `roomDoesNotExist(org.jivesoftware.smack.XMPPException exception)`
`protected void` | `tryToJoinChat()`

Methods inherited from class org.mule.transport.xmpp.AbstractXmppConversation
`connect, createPacketFilter, disconnect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmppMultiUserChatConversation

    public XmppMultiUserChatConversation(ImmutableEndpoint endpoint)

Method Detail

### doConnect

    protected void doConnect()
                      throws ConnectException

  Description copied from class: `AbstractXmppConversation`
  Subclasses can override this method to create their conversation specific connection.

  Overrides:
    `doConnect` in class `AbstractXmppConversation`
  Throws:
    `ConnectException`

### joinChat

    protected void joinChat()
                     throws ConnectException

  Throws:
    `ConnectException`

### tryToJoinChat

    protected void tryToJoinChat()
                          throws org.jivesoftware.smack.XMPPException

  Throws:
    `org.jivesoftware.smack.XMPPException`

### roomDoesNotExist

    protected boolean roomDoesNotExist(org.jivesoftware.smack.XMPPException exception)

### createRoom

    protected void createRoom()
                       throws ConnectException

  Throws:
    `ConnectException`

### doDisconnect

    protected void doDisconnect()

  Description copied from class: `AbstractXmppConversation`
  Subclasses can override this method to perform custom disconnect actions.

  Overrides:
    `doDisconnect` in class `AbstractXmppConversation`

### createPacketCollector

    protected org.jivesoftware.smack.PacketCollector createPacketCollector()

  This implementation returns `null` as we override `receive()` and `receive(long)`.

  Overrides:
    `createPacketCollector` in class `AbstractXmppConversation`
  Returns:
    a `PacketCollector` that can be used to retrieve messages for this conversation.

### dispatch

    public void dispatch(org.jivesoftware.smack.packet.Message message)
                  throws org.jivesoftware.smack.XMPPException

  Description copied from interface: `XmppConversation`
  Asynchronously dispatch `message` via the Jabber conversation.

  Throws:
    `org.jivesoftware.smack.XMPPException`

### receive

    public org.jivesoftware.smack.packet.Message receive()

  Description copied from interface: `XmppConversation`
  Wait for a response on this conversation until a message arrives.

  Specified by:
    `receive` in interface `XmppConversation`
  Overrides:
    `receive` in class `AbstractXmppConversation`

### receive

    public org.jivesoftware.smack.packet.Message receive(long timeout)

  Description copied from interface: `XmppConversation`
  Wait for a response on this conversation until `timeout` occurs.

  Specified by:
    `receive` in interface `XmppConversation`
  Overrides:
    `receive` in class `AbstractXmppConversation`
  Returns:
    `Message` next available message or `null` if timeout occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.